Retrieve a funding source - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/
funding-sources
/
{id}
cURL
GET https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var fundingSourceUrl =
"https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31";
dwolla.get(fundingSourceUrl).then((res) => res.body.name); // => "Test checking account"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31'
funding_source = app_token.get(funding_source_url)
funding_source.body['name'] # => 'Test checking account'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31';
$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);
$fundingSource = $fsApi->id($fundingSourceUrl);
$fundingSource->name; # => "Test checking account"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31'
funding_source = app_token.get funding_source_url
funding_source.name # => "Test checking account"
200
standard_bank_account
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/funding-sources/49dbaa24-1580-4b1c-8b58-24e26656fa31",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "funding-source"
}
},
"id": "49dbaa24-1580-4b1c-8b58-24e26656fa31",
"status": "verified",
"type": "bank",
"bankAccountType": "checking",
"name": "Test checking account",
"created": "2022-07-23T00:18:21.419Z",
"removed": false,
"channels": [
"ach"
],
"bankName": "SANDBOX TEST BANK",
"fingerprint": "5012989b55af15400e8102f95d2ec5e7ce3aef45c01613280d80a236dd8d6c"
}
Authorizations
Authorization
string
header
required
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Accept
enum
default:application/vnd.dwolla.v1.hal+json
required
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json
Path Parameters
id
string
required
Funding source unique identifier
Response
200
application/vnd.dwolla.v1.hal+json
successful operation
_links
object
Showchild attributes
id
string
Example:
"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"
status
string
Example:
"unverified"
type
string
Example:
"bank"
bankAccountType
string
Example:
"checking"
name
string
Example:
"My bank"
created
string
Example:
"2022-07-23T00:18:21.419Z"
removed
boolean
Example:
true
channels
enum
Payment processing channels supported by this funding source
Available options:
ach,
real-time-payments,
wire,
external
bankName
string
Example:
"SANDBOX TEST BANK"
fingerprint
string
Example:
"5012989b55af15400e8102f95d2ec5e7ce3aef45c01613280d80a236dd8d6c"
bankUsageType
enum
The usage type of the bank account. Indicates if this is a settlement account for card network processors.
Available options:
card-network
Example:
"card-network"
cardDetails
object
Card-specific details. Only present when type is 'card'.
Showchild attributes